Assign device posture check policies to a location
Replaces the current assignment.
put
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required
ID of the location.
Body
Request body for assigning posture checks to a VPN location.
posturesinteger · int64[]Required
Responses
200
Device posture check policies assigned to the location.
application/json
integer · int64[]Optional
400
Posture checks cannot be assigned to a service location.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges and an active enterprise license.
application/json
404
Location not found.
application/json
500
Unable to assign device posture check policies to the location.
application/json
put/api/v1/network/{id}/postures
PUT /api/v1/network/{id}/postures HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 16
{
"postures": [
1
]
}[
1
]Last updated
Was this helpful?